import greenfoot.*;

/**
 * @author Ben Mullins
 * @oldAuthors Ben Mullins, Dylan Wilson, Chris Deneweth, Suphat Yoopensuk
 * 
 * @version 1.2.1
 * 
 * NOTE: Any version after 1.0b was created by Ben Mullins because this project was originally a CSC 101 project where there was a team.
 *       Afterwards, I continued to develop the game in my free time.
 *       
 * Also note that the changelog has been moved to the READ ME txt file because it was starting to take up a lot of space.
 */

public class MazeWorld extends World {

    public MazeWorld() {   

        super(700, 700, 1); 

        prepare();
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        HealthStatus healthStat = new HealthStatus("Health: 100");
        addObject(healthStat, 700, 20);
        Blob blob = new Blob(healthStat);
        addObject(blob, 20, 19);
        Health health = new Health();
        addObject(health, 205, 20);
        Health health2 = new Health();
        addObject(health2, 32, 305);
        Health health3 = new Health();
        addObject(health3, 284, 310);
        Health health4 = new Health();
        addObject(health4, 411, 283);
        Health health5 = new Health();
        addObject(health5, 165, 559);
        Health health6 = new Health();
        addObject(health6, 501, 48);
        Health health7 = new Health();
        addObject(health7, 503, 492);
        Health health8 = new Health();
        addObject(health8, 633, 661);
        Flag flag = new Flag();
        addObject(flag, 667, 667);
        Enemy enemy = new Enemy();
        addObject(enemy, 480, 538);
        Health health9 = new Health();
        addObject(health9, 159, 413);
        Health health10 = new Health();
        addObject(health10, 221, 240);
        Health health11 = new Health();
        addObject(health11, 600, 268);
        Health health12 = new Health();
        addObject(health12, 62, 461);
    }
}
