import greenfoot.*;

/**
 * @author Ben Mullins
 * @oldAuthors Ben Mullins, Dylan Wilson, Chris Deneweth, Suphat Yoopensuk
 * 
 * @version 1.2.1
 * 
 * NOTE: Any version after 1.0b was created by Ben Mullins because this project was originally a CSC 101 project where there was a team.
 *       Afterwards, I continued to develop the game in my free time.
 *       
 * Also note that the changelog has been moved to the READ ME txt file because it was starting to take up a lot of space.
 */
public class HealthStatus extends Actor {
    
    public HealthStatus(String text) {
        
        GreenfootImage image = new GreenfootImage(text.length() * 20, 30);
        image.drawString(text, 2, 20);
        
        setImage(image);
    }
    
    public void update(String text) {
    
        GreenfootImage image = getImage();
        image.clear();
        image.drawString(text, 2, 20);
    }
}
